#include <bits/stdc++.h>
using namespace std;
int minNumber(int A[],int N,int B)
{
    sort(A,A+N);

    int k;
    for (k=0;A[N/2]!=B;k++) {
        A[N++]=B;
        sort(A,A+N);
    }
    return k;
}
main()
{
    int N,Q;
    cin>>N>>Q;
    int A[N];
    int B;
    for(int i=0;i<N;i++){
        cin>>A[i];
    }
    cin>>B;
    cout<<minNumber(A,N,B)<<endl;
    return 0;
}